Maya 2018 / Spacepilot PRO / doesn't work even with new drv

Questions and answers about 3Dconnexion devices on Windows.

Moderator: Moderators

Janoshx
Posts: 33
Joined: Wed Jul 13, 2016 4:16 am

Re: Maya 2018 / Spacepilot PRO / doesn't work even with new

Post by Janoshx » Fri Aug 18, 2017 3:04 am

I kind of agree that 3D connexion is not handling this in professional manner. The way how maya is built is probably the culprit in this case. Every time when maya gets an update the system breaks. Why this does not happen in rhino, 3d coat etc is a mystery for me but good example of good software design. What 3D connexion should do is that they should give beta version of driver to volunteers. They should also have better collaboration with the maya developer.

Software development is not easy, it is much easier for us to bark from bushes... Then again, after you really get used to use 3D mouse you kind of forget how to get along without one. This is the reason why i always recommend people to learn software as much vanilla as possible without bells and whistles.
I have learned to use Catia and Powermill first with spacemouse and it sure was difficult use without one...

Boban
Posts: 37
Joined: Sun Jun 11, 2017 6:27 am

Re: Maya 2018 / Spacepilot PRO / doesn't work even with new

Post by Boban » Thu Aug 24, 2017 9:06 am

This is what I get today from technical support:
Hi Boban
thank you for contacting the 3Dconnexion Support.

10.5.0 is not working with Maya 2018. We going to release a new version very soon (10.5.1) which also enables support for Maya 2018. During the verification of our latest driver we were working with the prerelease version of Maya 2018. Seems to be that Autodesk made bigger changes regarding the integration which caused the 3Dmouse not to work with the official release.
We are sorry for the trouble you had so far.
There is no official release date for available yet for 10.5.1. We expect that we ca release the driver during this week.

Best regards,
Oliver

Janoshx
Posts: 33
Joined: Wed Jul 13, 2016 4:16 am

Re: Maya 2018 / Spacepilot PRO / doesn't work even with new

Post by Janoshx » Mon Aug 28, 2017 4:39 am

The new driver 10.5.1 works in Maya 2018 WIN 10

Magnvs
Posts: 7
Joined: Mon Nov 14, 2016 4:09 am

Re: Maya 2018 / Spacepilot PRO / doesn't work even with new

Post by Magnvs » Tue Sep 26, 2017 6:44 am

The driver doesn't update automatically? I just realized I'm on a 10.4 driver
Maya 2018 LT was first recognized as Autocad for me, but yesterday it displayed Maya so I thought it had updated.
Still doesn't work though. I'm downloading 10.5.2 now.

Magnvs
Posts: 7
Joined: Mon Nov 14, 2016 4:09 am

Re: Maya 2018 / Spacepilot PRO / doesn't work even with new

Post by Magnvs » Tue Sep 26, 2017 7:06 am

Still doesn't work.
Maya LT 2018 with SM Enterprise.

UtaSH
Moderator
Moderator
Posts: 3361
Joined: Mon Nov 27, 2006 10:34 am
Location: Munich, Germany
Contact:

Re: Maya 2018 / Spacepilot PRO / doesn't work even with new

Post by UtaSH » Thu Sep 28, 2017 4:15 am

Hi Magnvs,

as far as I know the LT versions of Autodesk do not have the possibility to load a plugin. Which is needed as the support for the 3D mouse is provided by the plugin - 3DxMaya. You need to use the standard version of Maya. Maya 2018 is supported by our latest driver.

Magnvs
Posts: 7
Joined: Mon Nov 14, 2016 4:09 am

Re: Maya 2018 / Spacepilot PRO / doesn't work even with new

Post by Magnvs » Fri Sep 29, 2017 8:31 am

I see. Thanks for clearing that up!
I've found several posts on the autodesk forums discussing this all the way back to 2014 and it's "in the works" supposedly.
They have a poll, if anyone wants to vote it up;

https://mayafeedback.autodesk.com/forum ... -mouse-etc

x4000
Posts: 2
Joined: Wed Oct 11, 2017 12:53 pm

Re: Maya 2018 / Spacepilot PRO / doesn't work even with new

Post by x4000 » Wed Oct 18, 2017 9:47 am

UtaSH wrote:Hi Magnvs,

as far as I know the LT versions of Autodesk do not have the possibility to load a plugin. Which is needed as the support for the 3D mouse is provided by the plugin - 3DxMaya. You need to use the standard version of Maya. Maya 2018 is supported by our latest driver.
Maya 2018 LT does indeed support plug-ins, at least on windows. However, when putting the files from C:\Program Files\3Dconnexion\3DxWare\3DxMaya64\Contents\win64\2018\ into the C:\Program Files\Autodesk\MayaLT2018\bin\plug-ins\ folder, and then trying to enable that plugin, it says that it's not compatible:

// Error: file: C:/Program Files/Autodesk/MayaLT2018/scripts/others/pluginWin.mel line 290: The plug-in is not compatible with this application (3DxMaya) //


To get to the plugins manager, go into Windows->Settings/Preferenes->Plug-Ins Manager.

Post Reply